Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.functions
Class Function2Args

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FunctionOneArg
                        |
                        +--org.apache.xpath.functions.Function2Args

Direct Known Subclasses:
  FuncContains, FuncDocument, FuncKey, FuncStartsWith, FuncSubstringAfter, FuncSubstringBefore, Function3Args

public class Function2Args
extends FunctionOneArg

**For advanced use only** Base class for functions that accept two arguments.

See Also:
  Serialized Form

Constructor Summary
`Function2Args()`

Method Summary
`void` | `callArgVisitors(XPathVisitor visitor)`
`boolean` | `canTraverseOutsideSubtree()` Tell if this expression or it's subexpressions can traverse outside the current subtree.
`void` | `checkNumberArgs(int argNum)` Check that the number of arguments passed to this function is correct.
`boolean` | `deepEquals(Expression expr)`
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
`Expression` | `getArg1()` Return the second argument passed to the function (at index 1).
`void` | `setArg(Expression arg, int argNum)` Set an argument expression for a function.

Methods inherited from class org.apache.xpath.functions.FunctionOneArg
`getArg0, getExpression, setExpression`

Methods inherited from class org.apache.xpath.functions.Function
`callVisitors, execute, postCompileStep`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Function2Args

    public Function2Args()

Method Detail

### getArg1

    public Expression getArg1()

  Return the second argument passed to the function (at index 1).
  Returns:
    An expression that represents the second argument passed to the function.

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).
  Overrides:
    fixupVariables in class FunctionOneArg

### setArg

    public void setArg(Expression arg,
                       int argNum)
                throws WrongNumberArgsException

  Set an argument expression for a function. This method is called by the XPath compiler.
  Parameters:
    `arg` - non-null expression that represents the argument.
    `argNum` - The argument number index.
  Throws:
    WrongNumberArgsException - If the argNum parameter is greater than 1.
  Overrides:
    setArg in class FunctionOneArg

### checkNumberArgs

    public void checkNumberArgs(int argNum)
                         throws WrongNumberArgsException

  Check that the number of arguments passed to this function is correct.
  Parameters:
    `argNum` - The number of arguments that is being passed to the function.
  Throws:
    WrongNumberArgsException -
  Overrides:
    checkNumberArgs in class FunctionOneArg

### canTraverseOutsideSubtree

    public boolean canTraverseOutsideSubtree()

  Tell if this expression or it's subexpressions can traverse outside the current subtree.
  Returns:
    true if traversal outside the context node's subtree can occur.
  Overrides:
    canTraverseOutsideSubtree in class FunctionOneArg

### callArgVisitors

    public void callArgVisitors(XPathVisitor visitor)

  Overrides:
    callArgVisitors in class FunctionOneArg
  See Also:
    `XPathVisitable#callVisitors(ExpressionOwner, XPathVisitor)`

### deepEquals

    public boolean deepEquals(Expression expr)

  Overrides:
    deepEquals in class FunctionOneArg
  See Also:
    `Expression.deepEquals(Expression)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.